<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns="http://dita.oasis-open.org/architecture/2005/"
  xmlns:ditaarch="http://dita.oasis-open.org/architecture/2005/"
  exclude-result-prefixes="#all"
  version="3.0">

  <xsl:mode on-no-match="shallow-copy"/>

  <xsl:template match="topicref"/>

  <xsl:template match="topicref[ends-with(@href, '.dita')]">
    <xsl:variable name="topic-content" select="document(@href)" as="item()"/>
    <xsl:copy-of select="$topic-content/*" copy-namespaces="no"/>
    <xsl:apply-templates select="*"/>
  </xsl:template>

</xsl:stylesheet>
